"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var path_1 = __importDefault(require("path"));
var lodash_1 = require("flex-dev-utils/dist/lodash");
var fs_1 = require("../utils/fs");
/**
 * Configures the dev-server to run Flex plugin locally
 *
 * @param config  the {@link DevConfig}
 */
var configureDevServer = function (config) {
    var devAssets = path_1.default.join(process.cwd(), 'node_modules', 'flex-plugin-scripts', 'dev_assets');
    if (Array.isArray(config.contentBase)) {
        config.contentBase.push(devAssets);
    }
    else if (typeof (config.contentBase) === 'string') {
        config.contentBase = [
            config.contentBase,
            devAssets,
        ];
    }
    else {
        config.contentBase = [devAssets];
    }
    return config;
};
exports.default = (function (config) {
    config = configureDevServer(config);
    // Now override if jest.config.js exists
    var webpackConfigOverride = fs_1.loadFile(process.cwd(), 'webpack.config.js');
    if (webpackConfigOverride && webpackConfigOverride.devServer) {
        config = lodash_1.merge({}, config, webpackConfigOverride.devServer);
    }
    return config;
});
//# sourceMappingURL=devServer.js.map