"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var lodash_1 = require("flex-dev-utils/dist/lodash");
var fs_1 = require("../utils/fs");
/**
 * Configuration override for Jest
 *
 * @param config    the config from create-react-app
 */
var configureJest = function (config) {
    config.testPathIgnorePatterns = [
        '/node_modules/',
    ];
    return config;
};
exports.default = {
    configure: function (config, params) {
        config = configureJest(config);
        // Now override if jest.config.js exists
        var jestConfigOverride = fs_1.loadFile(params.rootDir, 'jest.config.js');
        if (jestConfigOverride) {
            config = lodash_1.merge({}, config, jestConfigOverride);
        }
        return config;
    },
};
//# sourceMappingURL=jest.js.map