import { Configuration as WebpackConfig, Plugin, Output, Options, Resolve, Module } from 'webpack';
interface Configuration extends WebpackConfig {
    module: Module;
    output: Output;
    plugins: Plugin[];
    optimization: Options.Optimization;
    resolve: Resolve;
}
/**
 * Returns the JS scripts to inject into the index.html file
 * @param flexUIVersion   the flex-ui version
 * @param reactVersion    the react version
 * @param reactDOMVersion the react-dom version
 */
export declare const getJSScripts: (flexUIVersion: string, reactVersion: string, reactDOMVersion: string) => string[];
declare const _default: {
    configure: (config: WebpackConfig) => Configuration;
};
export default _default;
